﻿$ErrorActionPreference = 'Stop'

$packageName = 'WireShark'
$url32       = 'https://www.wireshark.org/download/win32/all-versions/Wireshark-win32-2.6.5.exe'
$checksum32  = '9c9a459cec8866b82f68e35d6376d6d121123f3551bd83a17b36193e32828d2f'
$url64	     = 'https://www.wireshark.org/download/win64/all-versions/Wireshark-win64-2.6.5.exe'
$checksum64  = '1ee5afdc18efda2781a88da6a360a28ae88feaaecdc7c3246fb98767abcc7654'

$toolsPath   = Split-Path $MyInvocation.MyCommand.Definition

$packageArgs = @{
  packageName            = $packageName
  fileType               = 'EXE'
  url	                 = $url32
  checksum               = $checksum32
  checksumType           = 'sha256'
  url64                  = $url64
  checksum64             = $checksum64
  checksumType64         = 'sha256'
  silentArgs             = '/S /quicklaunchicon=no'
  validExitCodes         = @(0)
  registryUninstallerKey = $packageName
}

Install-ChocolateyPackage @packageArgs

